<template>
    <div id="app">
        <div class="ui container">
            <div class="ui menu">
                <div class="header item">
                    Demo
                </div>
                <router-link to="/" class="item">Home</router-link>
                <router-link to="/customers" class="item">Customer</router-link>
                <router-link to="/products" class="item">Products</router-link>
                <router-link to="/categories" class="item">Categories</router-link>
            </div>

            <router-view><!--Content--></router-view>
        </div>
    </div>
</template>

<script>

    import CustomerList from '../components/CustomerList.vue'

    export default {
        name: 'App',
        components: {
            CustomerList
        }
    }

</script>

<style lang="css">

    *, *::before, *::after {
        box-sizing: border-box;
    }

    #app {
        margin: 0 auto;
        line-height: 1.4;
        font-family: 'Avenir', Helvetica, Arial, sans-serif;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
    }
</style>